name: tasks
syntax:
  DeadlineDate:
    firstCharacters:
      - "📅"
    regex: "📅\\s*\\d{4}\\-\\d{2}\\-\\d{2}"
    styles:
      backgroundColor: "rgba(22,22,22,0.07)"
  CompletedDate:
    firstCharacters:
      - "✅"
    regex: "✅\\s*\\d{4}\\-\\d{2}\\-\\d{2}"
    styles:
      backgroundColor: "rgba(22,22,22,0.07)"
  RepeatInterval:
    firstCharacters:
      - "🔁"
    regex: "🔁\\s*every\\s+\\w+"
    styles:
      backgroundColor: "rgba(22,22,22,0.07)"
functions:
  indexTasks:
    path: "./task.ts:indexTasks"
    events:
      - page:index
  taskToggle:
    path: "./task.ts:taskToggle"
    events:
      - page:click
  itemQueryProvider:
    path: ./task.ts:queryProvider
    events:
      - query:task
  taskToggleCommand:
    path: ./task.ts:taskToggleCommand
    command:
      name: "Task: Toggle"
      key: Alt-t
      contexts:
        - Task
  taskPostponeCommand:
    path: ./task.ts:postponeCommand
    command:
      name: "Task: Postpone by 1 day"
      key: Alt-+
      contexts:
        - DeadlineDate
